Bug 148318 - Recent versions of p5-DBIx-Class break audio/squeezeboxserver
Summary: Recent versions of p5-DBIx-Class break audio/squeezeboxserver
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-02 14:40 UTC by Mark Knight
Modified: 2010-07-08 17:08 UTC (History)
0 users

See Also:


Attachments
patch-squeezeboxserver-autocommit.patch (1.14 KB, patch)
2010-07-05 23:59 UTC, Christopher Key
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Knight 2010-07-02 14:40:07 UTC
With p5-DBIx-Class-0.8123_1 squeezeboxserver fails to scan my music library correctly.

The scanner stops after one song and /var/log/squeezeboxserver/scanner.log has this error:

 Slim::Schema::Storage::throw_exception (82) Error: DBI Exception: DBD::mysql::db be gin_work failed: Already in a transaction

Backing out to p5-DBIx-Class-0.08120 fixes the issue.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-07-02 20:28:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->brooks

Fix synopsis and assign.
Comment 2 Christopher Key 2010-07-05 23:59:49 UTC
  SqueezeBox Server turns off auto commit in the scanner to speed up 
scan times.  The problem appears to be that turning off auto commit 
after connecting confuses the transaction nesting logic in DBIx::Class.  
The reason that it only affects 0.08121 and greater is that, according 
the the changelog "Cascading delete/update are now wrapped in a 
transaction for atomicity".

I think that this is technically a bug in DBIx::Class, although whether 
its a documentation or implementation bug (i.e. whether changing 
AutoCommit is prohibited or not) I don't know.

The attached patch solves the problem by specifying AutoCommit when 
connecting to the database.
Comment 3 dfilter service freebsd_committer 2010-07-08 00:22:34 UTC
brooks      2010-07-07 23:22:25 UTC

  FreeBSD ports repository

  Modified files:
    audio/squeezeboxserver Makefile 
  Added files:
    audio/squeezeboxserver/files patch-dbix-class-bug.diff 
  Log:
  Another attempt to fixing interactions with p5-DBIx-Class.  A few people
  report that this works.
  
  PR:             148318
  Feature safe:   yes
  Submitted by:   Mark Knight
  
  Revision  Changes    Path
  1.76      +1 -1      ports/audio/squeezeboxserver/Makefile
  1.1       +37 -0     ports/audio/squeezeboxserver/files/patch-dbix-class-bug.diff (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Mark Knight 2010-07-08 12:31:46 UTC
  This works a treat, thank you.  Please feel free to close this bug.

-- 
Mark A. R. Knightmarkk@knigma.org
Tel: +44 7880 556751http://www.knigma.org/
Comment 5 Brooks Davis freebsd_committer 2010-07-08 17:08:14 UTC
State Changed
From-To: open->closed

Committed and reported to work.